package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HouseKeeper;


/**
*  service接口类
*/
public interface HouseKeeperService{

    List<HouseKeeper> getHouseKeeperList(HouseKeeper record);

    List<HouseKeeper> getHouseKeeperByPage(Page page, HouseKeeper record);

    HouseKeeper getHouseKeeperById(String id);

    HouseKeeper getHouseKeeper(HouseKeeper record);

    boolean createHouseKeeper(HouseKeeper record);

    boolean deleteHouseKeeper(String id);

    boolean updateHouseKeeper(HouseKeeper record);
}

